Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000278Core InformRules and rulebookspublic2010-09-04 06:392010-10-28 00:30
Reportercapmikee 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000278: Sometimes the player's holdall is referred to as "nothing."
DescriptionThe first time something is automatically inserted into the player's holdall during the taking of multiple objects, when the player's holdall was not held at the beginning of the turn, the library message for the "use player's holdall to avoid exceeding carrying capacity" rule refers to the holdall as "nothing."

e.g.

>[1] take sack and bauble and bubble
ordinary sack: Taken.
bauble: Taken.
bubble: (putting the bauble into nothing to make room)
Taken.
Minimal Source Text To Reproduce
The Cargo Hold is a room.

The ordinary sack is a player's holdall in the Cargo Hold.

A bauble, a bubble, a kaboodle and a fish are in the Cargo Hold.

The carrying capacity of the player is 2.

test me with "take sack and bauble and bubble/take all"
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000510)
EmacsUser (manager)
2010-09-04 10:41

NOTE_OBJECT_ACQUISITIONS_R, which determines the holdall to report, is only invoked as part of the turn sequence rules, so it has no chance to change the active holdall in the middle of a compound take.
(0000512)
graham (administrator)
2010-09-04 12:32

An interesting one, this, but easily fixed. (Surprising it hasn't come up before - possibly player's holdalls are a little old-school for modern IF authors, and aren't used as much as they were.)

- Issue History
Date Modified Username Field Change
2010-09-04 06:39 capmikee New Issue
2010-09-04 10:41 EmacsUser Note Added: 0000510
2010-09-04 10:41 EmacsUser Status new => confirmed
2010-09-04 12:32 graham Note Added: 0000512
2010-09-04 12:32 graham Status confirmed => resolved
2010-09-04 12:32 graham Resolution open => fixed
2010-09-04 12:32 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker